import numpy as np
from sklearn.model_selection import cross_val_score
from sklearn.model_selection import LeaveOneOut
from sklearn.neighbors import KNeighborsClassifier
import sklearn.metrics as metrics

# Un script para realizar la validación cruzada
# dejando un dato fuera 

# Leemos los datos directamente del archivo CSV
D = np.loadtxt( "iris.csv", delimiter=',', skiprows=1 )
print( D.shape )

# Usamos dos características de entrada para
# realizar el clasificador
X = D[0:100, 0:2]
y = D[0:100, 4]
print( X.shape )
print( y.shape )

kvecinos = KNeighborsClassifier( n_neighbors=1 )

exactitud = cross_val_score( kvecinos, X, y, cv=LeaveOneOut() )

print( exactitud.shape )
print( exactitud )
print( "Media:", np.mean(exactitud) )
print( "Des. Est.:", np.std(exactitud) )
